<?php
/**
 * Clase raíz para las acciones de la web del banco del tiempo de Málaga.
 **/
 class AccionBtMalaga extends ContenidoEditable {
 
 	static $has_one = array ('opcionmenu' => 'OpcionMenuBtMalaga');
 
 	/**
 	 * clase con la acción a realizar.
 	 **/
 	public function ejecutarAccion($controlador, $recurso) {
 	  $controlador->setComponenteAEditar($recurso);
 	  return $controlador->renderWith(array('ContenidoGestionWebBtMalaga', 'Page'));
 	}
 	
      /**
       * Función que devuelve las categorias en las que
       * se organiza el contenido.
       **/
      protected function obtenerCategorias() {
        $resultado = array(
                           'MALAGA_COMUN'
                          );
        return $resultado;
      }
 	
 	
    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
      $camposEditable = parent::cargarSubContenido();
      
      //campo para el nombre.
      $campoNombre = new CampoEditable();
      $campoNombre->setNombre('Nombre');
      $campoNombre->setField(
                                                      new ReadonlyField('Nombre','Nombre',$this->class)
                                                    );
      $camposEditable->add($campoNombre);     
            
      return $camposEditable;      
    }     
 
 }

?>
